diff options
Diffstat (limited to 'Documentation/aoe/status.sh')
-rw-r--r-- | Documentation/aoe/status.sh | 31 |
1 files changed, 31 insertions, 0 deletions
diff --git a/Documentation/aoe/status.sh b/Documentation/aoe/status.sh new file mode 100644 index 000000000000..6628116d4a9f --- /dev/null +++ b/Documentation/aoe/status.sh | |||
@@ -0,0 +1,31 @@ | |||
1 | #! /bin/sh | ||
2 | # collate and present sysfs information about AoE storage | ||
3 | |||
4 | set -e | ||
5 | format="%8s\t%8s\t%8s\n" | ||
6 | me=`basename $0` | ||
7 | sysd=${sysfs_dir:-/sys} | ||
8 | |||
9 | # printf "$format" device mac netif state | ||
10 | |||
11 | # Suse 9.1 Pro doesn't put /sys in /etc/mtab | ||
12 | #test -z "`mount | grep sysfs`" && { | ||
13 | test ! -d "$sysd/block" && { | ||
14 | echo "$me Error: sysfs is not mounted" 1>&2 | ||
15 | exit 1 | ||
16 | } | ||
17 | test -z "`lsmod | grep '^aoe'`" && { | ||
18 | echo "$me Error: aoe module is not loaded" 1>&2 | ||
19 | exit 1 | ||
20 | } | ||
21 | |||
22 | for d in `ls -d $sysd/block/etherd* 2>/dev/null | grep -v p` end; do | ||
23 | # maybe ls comes up empty, so we use "end" | ||
24 | test $d = end && continue | ||
25 | |||
26 | dev=`echo "$d" | sed 's/.*!//'` | ||
27 | printf "$format" \ | ||
28 | "$dev" \ | ||
29 | "`cat \"$d/netif\"`" \ | ||
30 | "`cat \"$d/state\"`" | ||
31 | done | sort | ||